#
# spec file for package python-pathlib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pathlib
Version:        1.0.1
Release:        bp156.3.1
Summary:        Object-oriented filesystem paths
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/pathlib
Source:         https://files.pythonhosted.org/packages/source/p/pathlib/pathlib-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
pathlib offers a set of classes to handle filesystem paths.

%prep
%setup -q -n pathlib-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.txt LICENSE.txt
%{python_sitelib}/*

%changelog
* Sat Oct 21 2017 dmueller@suse.com
- convert to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.0.1
* Mon Oct  6 2014 p.drouand@gmail.com
- Remove redundant requirements
* Mon Oct  6 2014 infroma@gmail.com
- Change BuildRequires (python-setuptools -> python3-setuptools)
- Reformat .spec file
* Fri Sep 26 2014 infroma@gmail.com
- Use glob to catch cached *.pyc
* Fri Sep 26 2014 infroma@gmail.com
- Use a python3-pathlib package as a base of python-pathlib package
* Sat Aug  2 2014 p.drouand@gmail.com
- Use download Url as source
* Sat Aug  2 2014 i@marguerite.su
- initial version 1.0
  * Python issue #20765: Add missing documentation for PurePath.with_name()
    and PurePath.with_suffix().
  * Fix test_mkdir_parents when the working directory has additional bits
    set (such as the setgid or sticky bits).
  * Python issue #20111: pathlib.Path.with_suffix() now sanity checks the
    given suffix.
  * Python issue #19918: Fix PurePath.relative_to() under Windows.
  * Python issue #19921: When Path.mkdir() is called with parents=True,
    any missing parent is created with the default permissions, ignoring
    the mode argument (mimicking the POSIX "mkdir -p" command).
  * Python issue #19887: Improve the Path.resolve() algorithm to support
    certain symlink chains.
  * Make pathlib usable under Python 2.7 with unicode pathnames (only pure
    ASCII, though).
  * Issue #21: fix TypeError under Python 2.7 when using new division.
  * Add tox support for easier testing.
